Bug 891582 (CVE-2012-5655)

Summary: CVE-2012-5655 drupal6-context, drupal7-context: Improper restriction of access to the block content
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ccoleman, peter.borsa, rmillner, sdodson, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121219,reported=20121219,source=oss-security,cvss2=5.0/AV:N/AC:L/Au:N/C:P/I:N/A:N,fedora-17/drupal6-context=affected,epel-6/drupal6-context=affected,openshift-1/drupal6-context=affected,fedora-all/drupal7-context=affected,epel-all/drupal7-context=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-10 00:58:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 891586, 891587, 891589, 891590, 891592    
Bug Blocks: 767033    

Description Jan Lieskovsky 2013-01-03 05:53:09 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-5655 to the following vulnerability:

The Context module 6.x-3.x before 6.x-3.1 and 7.x-3.x before 7.x-3.0-beta6 for Drupal does not properly restrict access to block content, which allows remote attackers to obtain sensitive information via a crafted request.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5655
[2] http://www.openwall.com/lists/oss-security/2012/12/20/1
[3] http://drupal.org/node/1870550
[4] http://drupalcode.org/project/context.git/commitdiff/4452bf1
[5] http://drupalcode.org/project/context.git/commitdiff/d8bf8b6
[6] http://www.securityfocus.com/bid/56993
[7] http://secunia.com/advisories/51517
Comment 1 Jan Lieskovsky 2013-01-03 05:55:55 EST
This issue affects the versions of the drupal6-context package, as shipped with Fedora release of 17 and with Fedora EPEL 6. Please schedule an update.

--

This issue affects the versions of the drupal7-context package, as shipped with Fedora release of 16, 17, Fedora EPEL 5, and Fedora EPEL 6. Please schedule an update.
Comment 3 Jan Lieskovsky 2013-01-03 05:58:03 EST
Created drupal6-context tracking bugs for this issue

Affects: fedora-17 [bug 891586]
Affects: epel-6 [bug 891587]
Comment 4 Jan Lieskovsky 2013-01-03 05:59:08 EST
Created drupal7-context tracking bugs for this issue

Affects: fedora-all [bug 891589]
Affects: epel-all [bug 891590]
Comment 6 Fedora Update System 2013-01-19 22:35:00 EST
drupal6-context-3.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Scott Dodson 2013-02-10 00:58:49 EST
All updates for this are pushed.